Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.palette/1 1.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.palette
Class PaletteActions

    java.lang.Object
      org.netbeans.spi.palette.PaletteActions

    public abstract class PaletteActions

extends Object

An interface implemented by palette clients to provide custom actions for popup menus and actions for import of new items.

Constructor Summary
`PaletteActions()`

Method Summary
`abstract Action[]` | `getCustomCategoryActions(Lookup category)`
`abstract Action[]` | `getCustomItemActions(Lookup item)`
`abstract Action[]` | `getCustomPaletteActions()`
`abstract Action[]` | `getImportActions()`
`abstract Action` | `getPreferredAction(Lookup item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteActions

    public PaletteActions()

Method Detail

### getImportActions

    public abstract Action[] getImportActions()

  Returns:
    An array of action that will be used to construct buttons for import of new palette item in palette manager window.

### getCustomPaletteActions

    public abstract Action[] getCustomPaletteActions()

  Returns:
    Custom actions to be added to the top of palette's default popup menu.

### getCustomCategoryActions

    public abstract Action[] getCustomCategoryActions(Lookup category)

  Parameters:
    `category` - Lookup representing palette's category.
  Returns:
    Custom actions to be added to the top of default popup menu for the given category.

### getCustomItemActions

    public abstract Action[] getCustomItemActions(Lookup item)

  Parameters:
    `item` - Lookup representing palette's item.
  Returns:
    Custom actions to be added to the top of the default popup menu for the given palette item.

### getPreferredAction

    public abstract Action getPreferredAction(Lookup item)

  Parameters:
    `item` - Lookup representing palette's item.
  Returns:
    An action to be invoked when user double-clicks the item in the palette (e.g. insert item at editor's default location). Return null to disable preferred action for this item.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.palette/1 1.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.